import javax.swing.*;
class gas_mix_emmissivity
{
double sigma;
double eps[];
double pa[];
double deps;
double L;
double epsmix;
public gas_emmissivity ge[];
public gas_mix_emmissivity(gas_emmissivity gei[])
{
int n=gei.length;
pa=new double[n];
eps=new double[n];
ge=new gas_emmissivity[n];
for(int i=0;i<n;i++)
{ge[i]=gei[i];pa[i]=ge[i].pa;eps[i]=ge[i].eps;}
L=ge[0].L;
double k=pa[0]/(pa[0]+pa[1]);
double k1=k/(10.7+101.0*k);
double k2=0.0089*Math.pow(k,10.4);
double k3=(pa[0]+pa[1])*ge[0].L/ge[0].paL0;
double k4=Math.log10(k3);
deps=(k1-k2)*Math.pow(k4,2.76);
epsmix=eps[0]+eps[1]-deps;
epsmix=eps[0]+eps[1]-deps;
}
public String toString()
{
int n=ge.length;
String s="";
for(int i=0;i<n;i++)
{s+=ge[i];}
s+="eps="+epsmix+"L="+L+"pa="+pa+"\n";	
return s;
}
}